Skip to main content
GET
Get Agent Run

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required

Web Search Agent ID, format wsa_<uuid>.

run_id
string
required

Run ID, format task_run_<uuid>.

Response

Successful Response

created_at
string<date-time>
required

When the run was created.

effort
enum<string>
required

Effort level used for the run.

Available options:
low,
medium,
high,
x-high,
max
Example:

"high"

id
string
required

Run identifier, format "task_run_{uuid}".

Example:

"task_run_c0ffee00-0000-4000-8000-000000000000"

interaction_id
string
required

Interaction ID.

is_active
boolean
required

True while status is 'queued' or 'running'.

status
enum<string>
required

Current run status.

Available options:
queued,
running,
completed,
failed,
cancelled
Example:

"queued"

web_search_agent_id
string
required

Web Search Agent instance this run belongs to.

Example:

"wsa_2af5b0e2-58b8-4b60-a1a4-9e57e4d33f00"

completed_at
string<date-time> | null

When the run completed.

error
TaskRunErrorPublicV2 · object | null

Error details when the run failed.

prompt
string | null

Prompt submitted for the run.

started_at
string<date-time> | null

When the run started executing.